dofile_once( "mods/SimpleRegen/config.lua" )

function OnWorldPreUpdate()
	for i,player in ipairs(EntityGetWithTag("player_unit")) do
		local stats=EntityGetComponent(player,"DamageModelComponent")[1]
		local hp=ComponentGetValueFloat(stats,"hp")
		local max_hp=ComponentGetValueFloat(stats,"max_hp")
		local max_regen
		if regen_max_percentage then
			max_regen=max_hp*regen_max
		else
			max_regen=regen_max
		end
		if hp<max_regen then
			if regen_amount_percentage then
				hp=hp+(max_hp*regen_amount)
			else
				hp=hp+regen_amount
			end
			if hp>max_regen then
				ComponentSetValue(stats,"hp",max_regen)
			else
				ComponentSetValue(stats,"hp",hp)
			end
		end
	end
end
